> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Export

> Run Export Settings Job



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v1/export
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/export:
    post:
      tags:
        - ExportInventory
      summary: Run Export
      description: Run Export Settings Job
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/ExportInventoryRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExportInventoryResponse'
          description: Success
        '400':
          description: Bad Request
        '500':
          description: Internal Service Error
components:
  requestBodies:
    ExportInventoryRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ExportInventoryRequest'
      description: Request to run an inventory export
      required: true
  schemas:
    ExportInventoryResponse:
      description: Response for Export Inventory api
      properties:
        exportInventoryJobResponses:
          description: List of Export Inventory Job Responses
          items:
            $ref: '#/components/schemas/ExportInventoryJobResponse'
          type: array
      title: Export Inventory Response
      type: object
    ExportInventoryRequest:
      description: Export Inventory Request
      properties:
        development:
          description: Flag for sending the exports to the development droppoint
          type: boolean
        exportSettingsFTPName:
          description: >-
            Name of the FTP Settings to use. Will only check for this if
            exportID is already set
          type: string
        exportSettingsName:
          description: Name of the Export Settings to use
          type: string
        exportSettingsS3Name:
          description: >-
            Name of the S3 Settings to use. Will only check for this if exportID
            is already set
          type: string
        locationCode:
          description: Location Code
          title: location code
          type: string
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        sortBy:
          description: index to sort results by
          type: string
        userID:
          description: user id
          type: integer
      title: Export Inventory Request
      type: object
    ExportInventoryJobResponse:
      description: Response for each export job creation
      properties:
        exportSettingsID:
          description: Export Settings ID
          type: integer
        jobID:
          description: ID of newly created job
          type: integer
      title: Export Inventory Job Response
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````